Bug 42021 - ping to $DCNAME failed
ping to $DCNAME failed
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: Join (univention-join)
UCS 4.1
Other Linux
: P5 normal with 2 votes (vote)
: UCS 4.2-1-errata
Assigned To: Felix Botner
Arvid Requate
:
Depends on:
Blocks: 45516 45520 45253
  Show dependency treegraph
 
Reported: 2016-08-17 16:30 CEST by Florian Best
Modified: 2017-10-12 21:10 CEST (History)
2 users (show)

See Also:
What kind of report is it?: Bug Report
What type of bug is this?: 6: Setup Problem: Issue for the setup process
Who will be affected by this bug?: 3: Will affect average number of installed domains
How will those affected feel about the bug?: 3: A User would likely not purchase the product
User Pain: 0.309
Enterprise Customer affected?: Yes
School Customer affected?:
ISV affected?:
Ticket number: 2016111721000183, 2016081521000111, 2016081221000421, 2016081221000402, 2016123021000718, 2017022221000465, 2017040621000358, 2017033021001241, 2017042121000249, 2017020721000421, 2017030921000498, 2017032221000365, 2017050121000016, 2017061321000528
Bug group (optional): Error handling, External feedback
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Florian Best univentionstaff 2016-08-17 16:30:14 CEST
We have mutliple feedbacks during the initial system setup that 'ping to ... failed'.

management/univention-join/univention-join:370: failed_message "ping to $DCNAME failed"

Ticket#2016081521000111
Ticket#2016081221000421
Ticket#2016081221000402

Maybe we could enhance the message. Maybe we could make further checks before starting the system setup.
Comment 1 Florian Best univentionstaff 2016-08-25 12:23:17 CEST
Also occurred in the technical training.
Comment 2 Philipp Hahn univentionstaff 2016-08-25 17:47:11 CEST
(In reply to Florian Best from comment #1)
> Also occurred in the technical training.

DC Master has two IP addresses in LDAP/DNS, but as br0 didn't accept the 2nd address, it was never assigned to the Master.
The joining backup then tried the 2nd address and failed.
Comment 3 Florian Best univentionstaff 2016-11-17 17:33:56 CET
Reported again, 4.1-4 errata327 (Vahr)
Comment 4 Florian Best univentionstaff 2017-01-02 18:17:51 CET
Reported again, 4.1-4 errata366 (Vahr), Ticket #2016123021000718

Remark: 4. installation immer der selbe fehler  1 ganzer Tag für nichts
DNS Cache gelöscht brachte nichts
Hostsystem Neustart auch nicht
werde wohl doch auf dieses Linuxsystem verzichten
Der Eintrag des ucs stammt von einer erstinstallation die zwr durchgelaufen ist aber configurationsfehler hatte.

Nach diesem Fehler ist es nicht möglich dieses BS zu starten und zu reparieren da ich mich als root nicht an das interface anmelden kann
Comment 5 Florian Best univentionstaff 2017-02-23 10:55:40 CET
Reported again, 4.1-4 errata404 (Vahr)
Comment 6 Florian Best univentionstaff 2017-04-18 12:38:24 CEST
Version: 4.2-0 errata0 (Lesum)

Role: memberserver
Comment 7 Florian Best univentionstaff 2017-04-18 12:46:57 CEST
Version: 4.1-4 errata404 (Vahr)

Remark: I was installing the system and got to the configure settings and this happened.
Comment 8 Florian Best univentionstaff 2017-04-21 11:13:12 CEST
Reported again, 4.2-0 errata2 (Lesum)
Comment 9 Florian Best univentionstaff 2017-04-21 11:22:01 CEST
Reported again, 4.1-4 errata386 (Vahr)
Comment 10 Florian Best univentionstaff 2017-04-21 11:22:38 CEST
Remark: adding a new server to active directory domain, trys to ping incorrect hostname of ucstest,dnservice.local  but trying to setup ucs-sysaid.dnservice.local
Comment 11 Florian Best univentionstaff 2017-04-21 11:24:38 CEST
Version: 4.1-4 errata406 (Vahr)

Remark: Installationsprogramm versucht auf einen alten Computernamen zuzugreifen, auf dem einmal UCS installiert war, der aber im AD bereits gelöscht ist.
Installationsprogramm bekam verschiedene neue Computernamen vorgeschlagen, hat diese jedoch nicht verarbeitet.
Comment 12 Florian Best univentionstaff 2017-04-21 15:11:35 CEST
Version: 4.1-4 errata407 (Vahr)

Remark: This part was never set during the installation. But was used several installs before. after we reformatted hdds and repartitioned everything still trying to connect to
this automatically.
Comment 15 Florian Best univentionstaff 2017-06-16 18:41:39 CEST
Reported again, 4.2-0 errata29 (Lesum)
Comment 16 Florian Best univentionstaff 2017-06-23 17:22:41 CEST
Reported again, 4.1-4 errata324 (Vahr)
Comment 17 Florian Best univentionstaff 2017-07-07 16:49:50 CEST
Version: 4.2-0 errata69 (Lesum)
#2017070221000038

Remark: alter UCS Server (vm-opsi02) ist abgeschaltet und wird hier zum Hindernis
Comment 18 Florian Best univentionstaff 2017-08-15 09:10:25 CEST
4.2-1 errata131 (Lesum)
#2017081021000164
Comment 19 Felix Botner univentionstaff 2017-08-23 17:01:36 CEST
* print the actual ping(6) error message
* added check: nslookup MASTER_FQDN
 

opened Bug #45253  for a more admember mode specific problem from comment #11

univention-join r82429 errata4.2-1
Comment 20 Arvid Requate univentionstaff 2017-08-30 15:47:27 CEST
Verified with Bug #42425
Comment 21 Arvid Requate univentionstaff 2017-08-30 16:29:36 CEST
<http://errata.software-univention.de/ucs/4.2/149.html>
Comment 22 Florian Best univentionstaff 2017-09-22 18:11:40 CEST
Ticket#2017090521000118